Skip to content

Accounts

All operations require authentication.

18 operationsv1/email/domain
Agent setup

List email accountsProduction

GET
/1.0/email/domain/{domain}/account

List email accounts. Returns the names of the email accounts of the domain. Filter them by accountName or description.

Path parameters

domain
required
string

Name of your domain name

Query parameters

accountName
string

Account name

description
string

Account description

Response

200string[]successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an email accountProduction

GET
/1.0/email/domain/{domain}/account/{accountName}

Get an email account. Returns the email address, description, size in bytes and blocked state of the email account.

Path parameters

accountName
required
string

Name of account

domain
required
string

Name of your domain name

Response

200Accountsuccessful operation
accountName
read-only
string

Name of account

description
string

Account description

domain
read-only
string

Name of domain

email
read-only
string

Email

isBlocked
read-only
boolean

If true your account is blocked

size
integer

Size of your account in bytes

Example uses accountName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accountName": "string", "description": "string", "domain": "string", "email": "string", "isBlocked": true, "size": 0}

Create an email accountProduction

POST
/1.0/email/domain/{domain}/account

Create an email account. Creates an email account with a name, a password, and optionally a description and a size in bytes, and returns the task. The size is 5 GB by default; the allowed sizes are in allowedAccountSize of the email domain. The password needs 8 to 30 characters and no accents.

Path parameters

domain
required
string

Name of your domain name

Request body (required)

accountName
required
string

Account name

description
string

Description Account

password
required
stringpassword

Account password

size
integer

Account size in bytes (default : 5000000000) (possible values : /email/domain/{domain}/allowedAccountSize )

Response

200TaskPopsuccessful operation
action
read-only
DomainPopActionEnum

Action of task

ValuesaddAccountchangeAccountchangePassworddeleteAccountinternalMigrationmigrationtemporaryTaskunknown
date
read-only
stringdate-time

Creation date of task

domain
read-only
string

Domain name of task

id
read-only
integer

Id of task

name
read-only
string

Account name of task

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "addAccount", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "name": "string"}

Delete an email accountProduction

DELETE
/1.0/email/domain/{domain}/account/{accountName}

Delete an email account. Deletes the email account of the domain and returns the task. Follow it under task/account/{id}.

Path parameters

accountName
required
string

Name of account

domain
required
string

Name of your domain name

Response

200TaskPopsuccessful operation
action
read-only
DomainPopActionEnum

Action of task

ValuesaddAccountchangeAccountchangePassworddeleteAccountinternalMigrationmigrationtemporaryTaskunknown
date
read-only
stringdate-time

Creation date of task

domain
read-only
string

Domain name of task

id
read-only
integer

Id of task

name
read-only
string

Account name of task

Example uses accountName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "addAccount", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "name": "string"}

Update an email accountProduction

PUT
/1.0/email/domain/{domain}/account/{accountName}

Update an email account. Updates the description or the size in bytes of the email account. The allowed sizes are in allowedAccountSize of the email domain.

Path parameters

accountName
required
string

Name of account

domain
required
string

Name of your domain name

Request body (required)

accountName
read-only
string

Name of account

description
string

Account description

domain
read-only
string

Name of domain

email
read-only
string

Email

isBlocked
read-only
boolean

If true your account is blocked

size
integer

Size of your account in bytes

Response

200—successful operation

Example uses accountName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName} \
  -H "authorization: Bearer $OVH_TOKEN"

Change an email account passwordProduction

POST
/1.0/email/domain/{domain}/account/{accountName}/changePassword

Change an email account password. Sets a new password and returns the task. The password needs 8 to 30 characters and no accents.

Path parameters

accountName
required
string

Name of account

domain
required
string

Name of your domain name

Request body (required)

password
required
stringpassword

New password

Response

200TaskPopsuccessful operation
action
read-only
DomainPopActionEnum

Action of task

ValuesaddAccountchangeAccountchangePassworddeleteAccountinternalMigrationmigrationtemporaryTaskunknown
date
read-only
stringdate-time

Creation date of task

domain
read-only
string

Domain name of task

id
read-only
integer

Id of task

name
read-only
string

Account name of task

Example uses accountName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName}/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "addAccount", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "name": "string"}

List delegationsProduction

GET
/1.0/email/domain/{domain}/account/{accountName}/delegation

List delegations. Returns the OVHcloud account IDs (accountId) that have been delegated the management of the email account.

Path parameters

accountName
required
string

Name of account

domain
required
string

Name of your domain name

Response

200string[]successful operation

Example uses accountName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName}/delegation \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a delegationProduction

GET
/1.0/email/domain/{domain}/account/{accountName}/delegation/{accountId}

Get a delegation. Returns the OVHcloud account ID (accountId) that has been delegated the management of the email account.

Path parameters

accountId
required
string

OVH customer unique identifier

accountName
required
string

Name of account

domain
required
string

Name of your domain name

Response

200Delegationsuccessful operation
accountId
read-only
string

OVH customer unique identifier

Example uses accountId = string, accountName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName}/delegation/{accountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accountId": "string"}

Create a delegationProduction

POST
/1.0/email/domain/{domain}/account/{accountName}/delegation

Create a delegation. Gives the OVHcloud account accountId the management of the email account, from its own control panel.

Path parameters

accountName
required
string

Name of account

domain
required
string

Name of your domain name

Request body (required)

accountId
required
string

OVH customer unique identifier

Response

200stringsuccessful operation

Example uses accountName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName}/delegation \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Remove a delegationProduction

DELETE
/1.0/email/domain/{domain}/account/{accountName}/delegation/{accountId}

Remove a delegation. Withdraws from the OVHcloud account the management of the email account that it had been delegated.

Path parameters

accountId
required
string

OVH customer unique identifier

accountName
required
string

Name of account

domain
required
string

Name of your domain name

Response

200stringsuccessful operation

Example uses accountId = string, accountName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName}/delegation/{accountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

List migration destinationsBeta

GET
/1.0/email/domain/{domain}/account/{accountName}/migrate

List migration destinations. Returns the names of the services the email account can be migrated to. Filter them by type: Email Pro, hosted, private or provider Exchange.

Path parameters

accountName
required
string

Name of account

domain
required
string

Name of your domain name

Query parameters

type
MigrationServiceType

Type of migration service

ValuesEMAIL PROHOSTED EXCHANGEPRIVATE EXCHANGEPROVIDER EXCHANGE

Response

200string[]successful operation

Example uses accountName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName}/migrate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a migration destinationBeta

GET
/1.0/email/domain/{domain}/account/{accountName}/migrate/{destinationServiceName}

Get a migration destination. Returns the offer type, creation and expiration dates, and admin, tech and billing contacts of the destination service.

Path parameters

accountName
required
string

Name of account

destinationServiceName
required
string

Service name allowed as migration destination

domain
required
string

Name of your domain name

Response

200MigrationServicesuccessful operation
contactAdmin
read-only
string

Admin contact of service

contactBilling
read-only
string

Billing contact of service

contactTech
read-only
string

Tech contact of service

creation
read-only
stringdate

Creation date of service

destinationServiceName
read-only
string

Service name allowed as migration destination

expiration
read-only
stringdate

Expiration date of service

type
read-only
MigrationServiceType

Offer type of service

ValuesEMAIL PROHOSTED EXCHANGEPRIVATE EXCHANGEPROVIDER EXCHANGE

Example uses accountName = string, destinationServiceName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName}/migrate/{destinationServiceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "destinationServiceName": "string", "expiration": "2024-01-01", "type": "EMAIL PRO"}

List destination email accountsBeta

GET
/1.0/email/domain/{domain}/account/{accountName}/migrate/{destinationServiceName}/destinationEmailAddress

List destination email accounts. Returns the email addresses of the destination service the email account can be migrated to. Filter them by minimum size with quota.

Path parameters

accountName
required
string

Name of account

destinationServiceName
required
string

Service name allowed as migration destination

domain
required
string

Name of your domain name

Query parameters

quota
integer

Account maximum size

Response

200string[]successful operation

Example uses accountName = string, destinationServiceName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName}/migrate/{destinationServiceName}/destinationEmailAddress \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a destination email accountBeta

GET
/1.0/email/domain/{domain}/account/{accountName}/migrate/{destinationServiceName}/destinationEmailAddress/{destinationEmailAddress}

Get a destination email account. Returns the email address and maximum size of the destination account.

Path parameters

accountName
required
string

Name of account

destinationEmailAddress
required
string

Destination account name

destinationServiceName
required
string

Service name allowed as migration destination

domain
required
string

Name of your domain name

Response

200MigrationAccountsuccessful operation
destinationEmailAddress
read-only
string

Destination account name

quota
read-only
integer

Account maximum size

Example uses accountName = string, destinationEmailAddress = string, destinationServiceName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName}/migrate/{destinationServiceName}/destinationEmailAddress/{destinationEmailAddress} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "destinationEmailAddress": "string", "quota": 0}

Check an email account migrationBeta

GET
/1.0/email/domain/{domain}/account/{accountName}/migrate/{destinationServiceName}/destinationEmailAddress/{destinationEmailAddress}/checkMigrate

Check an email account migration. Returns the errors and warnings found for the migration to the destination account, and the aliases, filters and forwards found.

Path parameters

accountName
required
string

Name of account

destinationEmailAddress
required
string

Destination account name

destinationServiceName
required
string

Service name allowed as migration destination

domain
required
string

Name of your domain name

Response

200MigrationCheckStructsuccessful operation
alias
string[]

List of aliases

error
MigrationCheckResultStruct[]

List of errors

filter
string[]

List of filters

forward
string[]

List of forwards

warning
MigrationCheckResultStruct[]

List of warnings

Example uses accountName = string, destinationEmailAddress = string, destinationServiceName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName}/migrate/{destinationServiceName}/destinationEmailAddress/{destinationEmailAddress}/checkMigrate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "alias": [ "string" ], "error": [ { "code": "ACCOUNT_EMPTY", "details": "string" } ], "filter": [ "string" ], "forward": [ "string" ], "warning": [ { "code": "ACCOUNT_EMPTY", "details": "string" } ]}

Migrate an email accountBeta

POST
/1.0/email/domain/{domain}/account/{accountName}/migrate/{destinationServiceName}/destinationEmailAddress/{destinationEmailAddress}/migrate

Migrate an email account. Migrates the email account to the destination account and returns the task. password is the new password used for the migration.

Path parameters

accountName
required
string

Name of account

destinationEmailAddress
required
string

Destination account name

destinationServiceName
required
string

Service name allowed as migration destination

domain
required
string

Name of your domain name

Request body (required)

password
required
stringpassword

New password used for migration

Response

200TaskPopsuccessful operation
action
read-only
DomainPopActionEnum

Action of task

ValuesaddAccountchangeAccountchangePassworddeleteAccountinternalMigrationmigrationtemporaryTaskunknown
date
read-only
stringdate-time

Creation date of task

domain
read-only
string

Domain name of task

id
read-only
integer

Id of task

name
read-only
string

Account name of task

Example uses accountName = string, destinationEmailAddress = string, destinationServiceName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName}/migrate/{destinationServiceName}/destinationEmailAddress/{destinationEmailAddress}/migrate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "addAccount", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "name": "string"}

Refresh email account usageProduction

POST
/1.0/email/domain/{domain}/account/{accountName}/updateUsage

Refresh email account usage. Asks for the figures returned by usage to be recomputed; they are updated asynchronously.

Path parameters

accountName
required
string

Name of account

domain
required
string

Name of your domain name

Response

200—successful operation

Example uses accountName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName}/updateUsage \
  -H "authorization: Bearer $OVH_TOKEN"

Get email account usageProduction

GET
/1.0/email/domain/{domain}/account/{accountName}/usage

Get email account usage. Returns the number of emails, the maximum size in bytes of the mailbox (quota) and the date of the measure.

Path parameters

accountName
required
string

Name of account

domain
required
string

Name of your domain name

Response

200DomainUsageAccountStructsuccessful operation
date
stringdate-time

Timestamp

emailCount
integer

Number of message in mailbox

quota
integer

Size of mailbox (bytes)

Example uses accountName = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/account/{accountName}/usage \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "emailCount": 0, "quota": 0}